﻿

$ErrorActionPreference = 'Stop'; 
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url        = 'https://dl.google.com/go/go1.3.1.windows-386.msi' 
$url64      = 'https://dl.google.com/go/go1.3.1.windows-amd64.msi' 

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'msi' 
  url           = $url
  url64bit      = $url64

  softwareName  = 'golang*' 

  checksum      = 'df37e307c52fbea02070e23ae0a49cb869d54f33'
  checksumType  = 'sha1' 
  checksum64    = '88c5d9a51a74c2846226a08681fc28cd3469cba0'
  checksumType64= 'sha1' 

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`"" 
  validExitCodes= @(0, 3010, 1641)

}

Install-ChocolateyPackage @packageArgs 
